local GT_AddonName, GT_Globals = ...

function GT_Globals.initGoldDialog(self)
	 -- MAIN FRAME
	self:SetMovable(true);
	self:EnableMouse(true);
	self:RegisterForDrag("LeftButton");
	self:SetScript("OnDragStart", self.StartMoving);
	self:SetScript("OnDragStop", self.StopMovingOrSizing);
	--self:ClearAllPoints();
	self:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	self:SetHeight(355); -- 180 when upper group frame hidden
	self:SetWidth(580);
	self:SetPoint("TOP",0,-500);
	self:Hide();
	
	 -- MAIN FRAME HEADER
	local Header = CreateFrame("Frame",nil,self);
	Header:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark", edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border", edgeSize = 10});
	Header:SetPoint("TOP",0,7);
	Header:SetHeight(20);
	Header:SetWidth(100);
	local HeaderText = Header:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	HeaderText:SetPoint("TOP",0,-5);
	HeaderText:SetFont("Fonts\\FRIZQT__.TTF", 10);
	HeaderText:SetTextColor(1,1,1,1);
	HeaderText:SetJustifyH("CENTER");
	HeaderText:SetText("Gold Tracker");
	
	 -- MAIN FRAME CLOSE ADDON BUTTON
	GT_Globals.CloseMainBtn = CreateFrame("Button",nil,self,"UIPanelButtonTemplate");
	local CloseBtn = GT_Globals.CloseMainBtn;
	CloseBtn:SetWidth(22);
	CloseBtn:SetHeight(22);
	CloseBtn:SetText("X");
	CloseBtn:SetPoint("TOPRIGHT",-5,-5);
	CloseBtn:HookScript("OnClick",function()
		self:Hide();
	end);
	
	--[[
		ALL-TIME INCOME STATUS GROUP
	]]
	
	 -- ALL-TIME INCOME GROUP FRAME
	GT_Globals.AT_In_StatusGrp = CreateFrame("Frame",nil,self);
	local AT_In_StatusGrp = GT_Globals.AT_In_StatusGrp;
	AT_In_StatusGrp:SetWidth(180);
	AT_In_StatusGrp:SetHeight(118);
	AT_In_StatusGrp:SetPoint("TOPLEFT",10,-25); -- -75y when upper group frame hidden
	AT_In_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_In_StatusGrpLabelText = AT_In_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_In_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	AT_In_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_In_StatusGrpLabelText:SetTextColor(1,1,1,1);
	AT_In_StatusGrpLabelText:SetJustifyH("LEFT");
	AT_In_StatusGrpLabelText:SetText("All-Time Income:");

	 -- ALL-TIME WORLD LABEL
	local AT_W_Label = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_W_Label:SetPoint("TOPLEFT",3,-27);
	AT_W_Label:SetWidth(50);
	AT_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_W_LabelText = AT_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_W_LabelText:SetPoint("TOPLEFT",5,0);
	AT_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_W_LabelText:SetTextColor(1,1,1,1);
	AT_W_LabelText:SetJustifyH("LEFT");
	AT_W_LabelText:SetText("World:");
	
	 -- ALL-TIME WORLD FRAME
	local AT_W_Frame = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_W_Frame:SetPoint("TOPLEFT",65,-27);
	AT_W_Frame:SetWidth(50);
	AT_W_Frame:SetHeight(20);
	GT_Globals.AT_W_Frame = AT_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_W_FrameText = GT_Globals.AT_W_Frame;
	AT_W_FrameText:SetPoint("TOPLEFT",5,0);
	AT_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_W_FrameText:SetTextColor(1,1,0,1);
	AT_W_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME INSTANCE LABEL
	local AT_I_Label = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_I_Label:SetPoint("TOPLEFT",3,-45);
	AT_I_Label:SetWidth(50);
	AT_I_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_I_LabelText = AT_I_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_I_LabelText:SetPoint("TOPLEFT",5,0);
	AT_I_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_I_LabelText:SetTextColor(1,1,1,1);
	AT_I_LabelText:SetJustifyH("LEFT");
	AT_I_LabelText:SetText("Instance:");
	
	 -- ALL-TIME INSTANCE FRAME
	local AT_I_Frame = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_I_Frame:SetPoint("TOPLEFT",65,-45);
	AT_I_Frame:SetWidth(50);
	AT_I_Frame:SetHeight(20);
	GT_Globals.AT_I_Frame = AT_I_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_I_FrameText = GT_Globals.AT_I_Frame;
	AT_I_FrameText:SetPoint("TOPLEFT",5,0);
	AT_I_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_I_FrameText:SetTextColor(1,1,0,1);
	AT_I_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME QUESTING LABEL
	local AT_Q_Label = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_Q_Label:SetPoint("TOPLEFT",3,-63);
	AT_Q_Label:SetWidth(50);
	AT_Q_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_Q_LabelText = AT_Q_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_Q_LabelText:SetPoint("TOPLEFT",5,0);
	AT_Q_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_Q_LabelText:SetTextColor(1,1,1,1);
	AT_Q_LabelText:SetJustifyH("LEFT");
	AT_Q_LabelText:SetText("Questing:");
	
	 -- ALL-TIME QUESTING FRAME
	local AT_Q_Frame = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_Q_Frame:SetPoint("TOPLEFT",65,-63);
	AT_Q_Frame:SetWidth(50);
	AT_Q_Frame:SetHeight(20);
	GT_Globals.AT_Q_Frame = AT_Q_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_Q_FrameText = GT_Globals.AT_Q_Frame;
	AT_Q_FrameText:SetPoint("TOPLEFT",5,0);
	AT_Q_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_Q_FrameText:SetTextColor(1,1,0,1);
	AT_Q_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME VENDORED LABEL
	local AT_V_Label = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_V_Label:SetPoint("TOPLEFT",3,-81);
	AT_V_Label:SetWidth(50);
	AT_V_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_V_LabelText = AT_V_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_V_LabelText:SetPoint("TOPLEFT",5,0);
	AT_V_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_V_LabelText:SetTextColor(1,1,1,1);
	AT_V_LabelText:SetJustifyH("LEFT");
	AT_V_LabelText:SetText("Vendored:");
	
	 -- ALL-TIME VENDORED FRAME
	local AT_V_Frame = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_V_Frame:SetPoint("TOPLEFT",65,-81);
	AT_V_Frame:SetWidth(50);
	AT_V_Frame:SetHeight(20);
	GT_Globals.AT_V_Frame = AT_V_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_V_FrameText = GT_Globals.AT_V_Frame;
	AT_V_FrameText:SetPoint("TOPLEFT",5,0);
	AT_V_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_V_FrameText:SetTextColor(1,1,0,1);
	AT_V_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME INCOME TOTAL LABEL
	local AT_In_Label = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_In_Label:SetPoint("TOPLEFT",3,-99);
	AT_In_Label:SetWidth(50);
	AT_In_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_In_LabelText = AT_In_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_In_LabelText:SetPoint("TOPLEFT",5,0);
	AT_In_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_In_LabelText:SetTextColor(1,1,1,1);
	AT_In_LabelText:SetJustifyH("LEFT");
	AT_In_LabelText:SetText("Total:");
	
	 -- ALL-TIME INCOME TOTAL FRAME
	local AT_In_Frame = CreateFrame("Frame",nil,AT_In_StatusGrp);
	AT_In_Frame:SetPoint("TOPLEFT",65,-99);
	AT_In_Frame:SetWidth(50);
	AT_In_Frame:SetHeight(20);
	GT_Globals.AT_In_Frame = AT_In_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_In_FrameText = GT_Globals.AT_In_Frame;
	AT_In_FrameText:SetPoint("TOPLEFT",5,0);
	AT_In_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_In_FrameText:SetTextColor(1,1,0,1);
	AT_In_FrameText:SetJustifyH("LEFT");
	
	
	--[[
		ALL-TIME EXPENSE STATUS GROUP
	]]

	-- ALL-TIME EXPENSE STATUS GROUP FRAME
	GT_Globals.AT_Ex_StatusGrp = CreateFrame("Frame",nil,self);
	local AT_Ex_StatusGrp = GT_Globals.AT_Ex_StatusGrp;
	AT_Ex_StatusGrp:SetWidth(180);
	AT_Ex_StatusGrp:SetHeight(82);
	AT_Ex_StatusGrp:SetPoint("TOPLEFT",10,-153); -- -75y when upper group frame hidden
	AT_Ex_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_Ex_StatusGrpLabelText = AT_Ex_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_Ex_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	AT_Ex_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_Ex_StatusGrpLabelText:SetTextColor(1,1,1,1);
	AT_Ex_StatusGrpLabelText:SetJustifyH("LEFT");
	AT_Ex_StatusGrpLabelText:SetText("All-Time Expense:");
	
	 -- ALL-TIME SPENT LABEL
	local AT_S_Label = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_S_Label:SetPoint("TOPLEFT",3,-27);
	AT_S_Label:SetWidth(50);
	AT_S_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_S_LabelText = AT_S_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_S_LabelText:SetPoint("TOPLEFT",5,0);
	AT_S_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_S_LabelText:SetTextColor(1,1,1,1);
	AT_S_LabelText:SetJustifyH("LEFT");
	AT_S_LabelText:SetText("Spent:");
	
	 -- ALL-TIME SPENT FRAME
	local AT_S_Frame = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_S_Frame:SetPoint("TOPLEFT",65,-27);
	AT_S_Frame:SetWidth(50);
	AT_S_Frame:SetHeight(20);
	GT_Globals.AT_S_Frame = AT_S_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_S_FrameText = GT_Globals.AT_S_Frame;
	AT_S_FrameText:SetPoint("TOPLEFT",5,0);
	AT_S_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_S_FrameText:SetTextColor(1,1,0,1);
	AT_S_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME REPAIRED LABEL
	local AT_R_Label = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_R_Label:SetPoint("TOPLEFT",3,-45);
	AT_R_Label:SetWidth(50);
	AT_R_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_R_LabelText = AT_R_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_R_LabelText:SetPoint("TOPLEFT",5,0);
	AT_R_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_R_LabelText:SetTextColor(1,1,1,1);
	AT_R_LabelText:SetJustifyH("LEFT");
	AT_R_LabelText:SetText("Repaired:");
	
	 -- ALL-TIME REPAIRED FRAME
	local AT_R_Frame = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_R_Frame:SetPoint("TOPLEFT",65,-45);
	AT_R_Frame:SetWidth(50);
	AT_R_Frame:SetHeight(20);
	GT_Globals.AT_R_Frame = AT_R_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_R_FrameText = GT_Globals.AT_R_Frame;
	AT_R_FrameText:SetPoint("TOPLEFT",5,0);
	AT_R_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_R_FrameText:SetTextColor(1,1,0,1);
	AT_R_FrameText:SetJustifyH("LEFT");
	
	 -- ALL-TIME EXPENSE TOTAL LABEL
	local AT_Ex_Label = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_Ex_Label:SetPoint("TOPLEFT",3,-63);
	AT_Ex_Label:SetWidth(50);
	AT_Ex_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local AT_Ex_LabelText = AT_Ex_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	AT_Ex_LabelText:SetPoint("TOPLEFT",5,0);
	AT_Ex_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_Ex_LabelText:SetTextColor(1,1,1,1);
	AT_Ex_LabelText:SetJustifyH("LEFT");
	AT_Ex_LabelText:SetText("Total:");
	
	 -- ALL-TIME EXPENSE TOTAL FRAME
	local AT_Ex_Frame = CreateFrame("Frame",nil,AT_Ex_StatusGrp);
	AT_Ex_Frame:SetPoint("TOPLEFT",65,-63);
	AT_Ex_Frame:SetWidth(50);
	AT_Ex_Frame:SetHeight(20);
	GT_Globals.AT_Ex_Frame = AT_Ex_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local AT_Ex_FrameText = GT_Globals.AT_Ex_Frame;
	AT_Ex_FrameText:SetPoint("TOPLEFT",5,0);
	AT_Ex_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	AT_Ex_FrameText:SetTextColor(1,1,0,1);
	AT_Ex_FrameText:SetJustifyH("LEFT");
	
	--[[
		********************************
		********************************
		***** MIDDLE COLUMN GROUPS *****
		********************************
		********************************
	]]
	
	--[[
		******************************
		***** WORLD STATUS GROUP *****
		******************************
	]]
	
	GT_Globals.W_StatusGrp = CreateFrame("Frame",nil,self);
	local W_StatusGrp = GT_Globals.W_StatusGrp;
	W_StatusGrp:SetWidth(180);
	W_StatusGrp:SetHeight(100);
	W_StatusGrp:SetPoint("TOPLEFT",200,-25); -- -75y when upper group frame hidden
	W_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local W_StatusGrpLabelText = W_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	W_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	W_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_StatusGrpLabelText:SetTextColor(1,1,1,1);
	W_StatusGrpLabelText:SetJustifyH("LEFT");
	W_StatusGrpLabelText:SetText("World:");
	
	 -- WORLD DAY LABEL
	local W_D_Label = CreateFrame("Frame",nil,W_StatusGrp);
	W_D_Label:SetPoint("TOPLEFT",3,-27);
	W_D_Label:SetWidth(50);
	W_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local W_D_LabelText = W_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	W_D_LabelText:SetPoint("TOPLEFT",5,0);
	W_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_D_LabelText:SetTextColor(1,1,1,1);
	W_D_LabelText:SetJustifyH("LEFT");
	W_D_LabelText:SetText("Day:");
	
	 -- WORLD DAY FRAME
	local W_D_Frame = CreateFrame("Frame",nil,W_StatusGrp);
	W_D_Frame:SetPoint("TOPLEFT",65,-27);
	W_D_Frame:SetWidth(50);
	W_D_Frame:SetHeight(20);
	GT_Globals.W_D_Frame = W_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local W_D_FrameText = GT_Globals.W_D_Frame;
	W_D_FrameText:SetPoint("TOPLEFT",5,0);
	W_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_D_FrameText:SetTextColor(1,1,0,1);
	W_D_FrameText:SetJustifyH("LEFT");
	
	 -- WORLD WEEK LABEL
	local W_W_Label = CreateFrame("Frame",nil,W_StatusGrp);
	W_W_Label:SetPoint("TOPLEFT",3,-45);
	W_W_Label:SetWidth(50);
	W_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local W_W_LabelText = W_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	W_W_LabelText:SetPoint("TOPLEFT",5,0);
	W_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_W_LabelText:SetTextColor(1,1,1,1);
	W_W_LabelText:SetJustifyH("LEFT");
	W_W_LabelText:SetText("Week:");
	
	 -- WORLD WEEK FRAME
	local W_W_Frame = CreateFrame("Frame",nil,W_StatusGrp);
	W_W_Frame:SetPoint("TOPLEFT",65,-45);
	W_W_Frame:SetWidth(50);
	W_W_Frame:SetHeight(20);
	GT_Globals.W_W_Frame = W_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local W_W_FrameText = GT_Globals.W_W_Frame;
	W_W_FrameText:SetPoint("TOPLEFT",5,0);
	W_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_W_FrameText:SetTextColor(1,1,0,1);
	W_W_FrameText:SetJustifyH("LEFT");
	
	 -- WORLD MONTH LABEL
	local W_M_Label = CreateFrame("Frame",nil,W_StatusGrp);
	W_M_Label:SetPoint("TOPLEFT",3,-63);
	W_M_Label:SetWidth(50);
	W_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local W_M_LabelText = W_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	W_M_LabelText:SetPoint("TOPLEFT",5,0);
	W_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_M_LabelText:SetTextColor(1,1,1,1);
	W_M_LabelText:SetJustifyH("LEFT");
	W_M_LabelText:SetText("Month:");
	
	 -- WORLD MONTH FRAME
	local W_M_Frame = CreateFrame("Frame",nil,W_StatusGrp);
	W_M_Frame:SetPoint("TOPLEFT",65,-63);
	W_M_Frame:SetWidth(50);
	W_M_Frame:SetHeight(20);
	GT_Globals.W_M_Frame = W_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local W_M_FrameText = GT_Globals.W_M_Frame;
	W_M_FrameText:SetPoint("TOPLEFT",5,0);
	W_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_M_FrameText:SetTextColor(1,1,0,1);
	W_M_FrameText:SetJustifyH("LEFT");
	
	 -- WORLD YEAR LABEL
	local W_Y_Label = CreateFrame("Frame",nil,W_StatusGrp);
	W_Y_Label:SetPoint("TOPLEFT",3,-81);
	W_Y_Label:SetWidth(50);
	W_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local W_Y_LabelText = W_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	W_Y_LabelText:SetPoint("TOPLEFT",5,0);
	W_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_Y_LabelText:SetTextColor(1,1,1,1);
	W_Y_LabelText:SetJustifyH("LEFT");
	W_Y_LabelText:SetText("Year:");
	
	 -- WORLD YEAR FRAME
	local W_Y_Frame = CreateFrame("Frame",nil,W_StatusGrp);
	W_Y_Frame:SetPoint("TOPLEFT",65,-81);
	W_Y_Frame:SetWidth(50);
	W_Y_Frame:SetHeight(20);
	GT_Globals.W_Y_Frame = W_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local W_Y_FrameText = GT_Globals.W_Y_Frame;
	W_Y_FrameText:SetPoint("TOPLEFT",5,0);
	W_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	W_Y_FrameText:SetTextColor(1,1,0,1);
	W_Y_FrameText:SetJustifyH("LEFT");
	
	--[[
		*********************************
		***** INSTANCE STATUS GROUP *****
		*********************************
	]]
	
	GT_Globals.I_StatusGrp = CreateFrame("Frame",nil,self);
	local I_StatusGrp = GT_Globals.I_StatusGrp;
	I_StatusGrp:SetWidth(180);
	I_StatusGrp:SetHeight(100);
	I_StatusGrp:SetPoint("TOPLEFT",200,-135); -- -75y when upper group frame hidden
	I_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local I_StatusGrpLabelText = I_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	I_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	I_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_StatusGrpLabelText:SetTextColor(1,1,1,1);
	I_StatusGrpLabelText:SetJustifyH("LEFT");
	I_StatusGrpLabelText:SetText("Instance:");
	
	 -- INSTANCE DAY LABEL
	local I_D_Label = CreateFrame("Frame",nil,I_StatusGrp);
	I_D_Label:SetPoint("TOPLEFT",3,-27);
	I_D_Label:SetWidth(50);
	I_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local I_D_LabelText = I_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	I_D_LabelText:SetPoint("TOPLEFT",5,0);
	I_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_D_LabelText:SetTextColor(1,1,1,1);
	I_D_LabelText:SetJustifyH("LEFT");
	I_D_LabelText:SetText("Day:");
	
	 -- INSTANCE DAY FRAME
	local I_D_Frame = CreateFrame("Frame",nil,I_StatusGrp);
	I_D_Frame:SetPoint("TOPLEFT",65,-27);
	I_D_Frame:SetWidth(50);
	I_D_Frame:SetHeight(20);
	GT_Globals.I_D_Frame = I_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local I_D_FrameText = GT_Globals.I_D_Frame;
	I_D_FrameText:SetPoint("TOPLEFT",5,0);
	I_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_D_FrameText:SetTextColor(1,1,0,1);
	I_D_FrameText:SetJustifyH("LEFT");
	
	 -- INSTANCE WEEK LABEL
	local I_W_Label = CreateFrame("Frame",nil,I_StatusGrp);
	I_W_Label:SetPoint("TOPLEFT",3,-45);
	I_W_Label:SetWidth(50);
	I_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local I_W_LabelText = I_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	I_W_LabelText:SetPoint("TOPLEFT",5,0);
	I_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_W_LabelText:SetTextColor(1,1,1,1);
	I_W_LabelText:SetJustifyH("LEFT");
	I_W_LabelText:SetText("Week:");
	
	 -- INSTANCE WEEK FRAME
	local I_W_Frame = CreateFrame("Frame",nil,I_StatusGrp);
	I_W_Frame:SetPoint("TOPLEFT",65,-45);
	I_W_Frame:SetWidth(50);
	I_W_Frame:SetHeight(20);
	GT_Globals.I_W_Frame = I_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local I_W_FrameText = GT_Globals.I_W_Frame;
	I_W_FrameText:SetPoint("TOPLEFT",5,0);
	I_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_W_FrameText:SetTextColor(1,1,0,1);
	I_W_FrameText:SetJustifyH("LEFT");
	
	 -- INSTANCE MONTH LABEL
	local I_M_Label = CreateFrame("Frame",nil,I_StatusGrp);
	I_M_Label:SetPoint("TOPLEFT",3,-63);
	I_M_Label:SetWidth(50);
	I_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local I_M_LabelText = I_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	I_M_LabelText:SetPoint("TOPLEFT",5,0);
	I_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_M_LabelText:SetTextColor(1,1,1,1);
	I_M_LabelText:SetJustifyH("LEFT");
	I_M_LabelText:SetText("Month:");
	
	 -- INSTANCE MONTH FRAME
	local I_M_Frame = CreateFrame("Frame",nil,I_StatusGrp);
	I_M_Frame:SetPoint("TOPLEFT",65,-63);
	I_M_Frame:SetWidth(50);
	I_M_Frame:SetHeight(20);
	GT_Globals.I_M_Frame = I_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local I_M_FrameText = GT_Globals.I_M_Frame;
	I_M_FrameText:SetPoint("TOPLEFT",5,0);
	I_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_M_FrameText:SetTextColor(1,1,0,1);
	I_M_FrameText:SetJustifyH("LEFT");
	
	 -- INSTANCE YEAR LABEL
	local I_Y_Label = CreateFrame("Frame",nil,I_StatusGrp);
	I_Y_Label:SetPoint("TOPLEFT",3,-81);
	I_Y_Label:SetWidth(50);
	I_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local I_Y_LabelText = I_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	I_Y_LabelText:SetPoint("TOPLEFT",5,0);
	I_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_Y_LabelText:SetTextColor(1,1,1,1);
	I_Y_LabelText:SetJustifyH("LEFT");
	I_Y_LabelText:SetText("Year:");
	
	 -- INSTANCE YEAR FRAME
	local I_Y_Frame = CreateFrame("Frame",nil,I_StatusGrp);
	I_Y_Frame:SetPoint("TOPLEFT",65,-81);
	I_Y_Frame:SetWidth(50);
	I_Y_Frame:SetHeight(20);
	GT_Globals.I_Y_Frame = I_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local I_Y_FrameText = GT_Globals.I_Y_Frame;
	I_Y_FrameText:SetPoint("TOPLEFT",5,0);
	I_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	I_Y_FrameText:SetTextColor(1,1,0,1);
	I_Y_FrameText:SetJustifyH("LEFT");
	
	--[[
		******************************
		***** QUEST STATUS GROUP *****
		******************************
	]]
	
	GT_Globals.Q_StatusGrp = CreateFrame("Frame",nil,self);
	local Q_StatusGrp = GT_Globals.Q_StatusGrp;
	Q_StatusGrp:SetWidth(180);
	Q_StatusGrp:SetHeight(100);
	Q_StatusGrp:SetPoint("TOPLEFT",200,-245); -- -75y when upper group frame hidden
	Q_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local Q_StatusGrpLabelText = Q_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	Q_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	Q_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_StatusGrpLabelText:SetTextColor(1,1,1,1);
	Q_StatusGrpLabelText:SetJustifyH("LEFT");
	Q_StatusGrpLabelText:SetText("Quest:");
	
	 -- QUEST DAY LABEL
	local Q_D_Label = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_D_Label:SetPoint("TOPLEFT",3,-27);
	Q_D_Label:SetWidth(50);
	Q_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local Q_D_LabelText = Q_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	Q_D_LabelText:SetPoint("TOPLEFT",5,0);
	Q_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_D_LabelText:SetTextColor(1,1,1,1);
	Q_D_LabelText:SetJustifyH("LEFT");
	Q_D_LabelText:SetText("Day:");
	
	 -- QUEST DAY FRAME
	local Q_D_Frame = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_D_Frame:SetPoint("TOPLEFT",65,-27);
	Q_D_Frame:SetWidth(50);
	Q_D_Frame:SetHeight(20);
	GT_Globals.Q_D_Frame = Q_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local Q_D_FrameText = GT_Globals.Q_D_Frame;
	Q_D_FrameText:SetPoint("TOPLEFT",5,0);
	Q_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_D_FrameText:SetTextColor(1,1,0,1);
	Q_D_FrameText:SetJustifyH("LEFT");
	
	 -- QUEST WEEK LABEL
	local Q_W_Label = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_W_Label:SetPoint("TOPLEFT",3,-45);
	Q_W_Label:SetWidth(50);
	Q_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local Q_W_LabelText = Q_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	Q_W_LabelText:SetPoint("TOPLEFT",5,0);
	Q_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_W_LabelText:SetTextColor(1,1,1,1);
	Q_W_LabelText:SetJustifyH("LEFT");
	Q_W_LabelText:SetText("Week:");
	
	 -- QUEST WEEK FRAME
	local Q_W_Frame = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_W_Frame:SetPoint("TOPLEFT",65,-45);
	Q_W_Frame:SetWidth(50);
	Q_W_Frame:SetHeight(20);
	GT_Globals.Q_W_Frame = Q_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local Q_W_FrameText = GT_Globals.Q_W_Frame;
	Q_W_FrameText:SetPoint("TOPLEFT",5,0);
	Q_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_W_FrameText:SetTextColor(1,1,0,1);
	Q_W_FrameText:SetJustifyH("LEFT");
	
	 -- QUEST MONTH LABEL
	local Q_M_Label = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_M_Label:SetPoint("TOPLEFT",3,-63);
	Q_M_Label:SetWidth(50);
	Q_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local Q_M_LabelText = Q_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	Q_M_LabelText:SetPoint("TOPLEFT",5,0);
	Q_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_M_LabelText:SetTextColor(1,1,1,1);
	Q_M_LabelText:SetJustifyH("LEFT");
	Q_M_LabelText:SetText("Month:");
	
	 -- QUEST MONTH FRAME
	local Q_M_Frame = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_M_Frame:SetPoint("TOPLEFT",65,-63);
	Q_M_Frame:SetWidth(50);
	Q_M_Frame:SetHeight(20);
	GT_Globals.Q_M_Frame = Q_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local Q_M_FrameText = GT_Globals.Q_M_Frame;
	Q_M_FrameText:SetPoint("TOPLEFT",5,0);
	Q_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_M_FrameText:SetTextColor(1,1,0,1);
	Q_M_FrameText:SetJustifyH("LEFT");
	
	 -- QUEST YEAR LABEL
	local Q_Y_Label = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_Y_Label:SetPoint("TOPLEFT",3,-81);
	Q_Y_Label:SetWidth(50);
	Q_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local Q_Y_LabelText = Q_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	Q_Y_LabelText:SetPoint("TOPLEFT",5,0);
	Q_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_Y_LabelText:SetTextColor(1,1,1,1);
	Q_Y_LabelText:SetJustifyH("LEFT");
	Q_Y_LabelText:SetText("Year:");
	
	 -- QUEST YEAR FRAME
	local Q_Y_Frame = CreateFrame("Frame",nil,Q_StatusGrp);
	Q_Y_Frame:SetPoint("TOPLEFT",65,-81);
	Q_Y_Frame:SetWidth(50);
	Q_Y_Frame:SetHeight(20);
	GT_Globals.Q_Y_Frame = Q_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local Q_Y_FrameText = GT_Globals.Q_Y_Frame;
	Q_Y_FrameText:SetPoint("TOPLEFT",5,0);
	Q_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	Q_Y_FrameText:SetTextColor(1,1,0,1);
	Q_Y_FrameText:SetJustifyH("LEFT");
	
	--[[
		*******************************
		*******************************
		***** RIGHT COLUMN GROUPS *****
		*******************************
		*******************************
	]]
	
	--[[
		*******************************
		***** VENDOR STATUS GROUP *****
		*******************************
	]]
	
	GT_Globals.V_StatusGrp = CreateFrame("Frame",nil,self);
	local V_StatusGrp = GT_Globals.V_StatusGrp;
	V_StatusGrp:SetWidth(180);
	V_StatusGrp:SetHeight(100);
	V_StatusGrp:SetPoint("TOPLEFT",390,-25); -- -75y when upper group frame hidden
	V_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local V_StatusGrpLabelText = V_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	V_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	V_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_StatusGrpLabelText:SetTextColor(1,1,1,1);
	V_StatusGrpLabelText:SetJustifyH("LEFT");
	V_StatusGrpLabelText:SetText("Vendor:");
	
	 -- VENDOR DAY LABEL
	local V_D_Label = CreateFrame("Frame",nil,V_StatusGrp);
	V_D_Label:SetPoint("TOPLEFT",3,-27);
	V_D_Label:SetWidth(50);
	V_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local V_D_LabelText = V_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	V_D_LabelText:SetPoint("TOPLEFT",5,0);
	V_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_D_LabelText:SetTextColor(1,1,1,1);
	V_D_LabelText:SetJustifyH("LEFT");
	V_D_LabelText:SetText("Day:");
	
	 -- VENDOR DAY FRAME
	local V_D_Frame = CreateFrame("Frame",nil,V_StatusGrp);
	V_D_Frame:SetPoint("TOPLEFT",65,-27);
	V_D_Frame:SetWidth(50);
	V_D_Frame:SetHeight(20);
	GT_Globals.V_D_Frame = V_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local V_D_FrameText = GT_Globals.V_D_Frame;
	V_D_FrameText:SetPoint("TOPLEFT",5,0);
	V_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_D_FrameText:SetTextColor(1,1,0,1);
	V_D_FrameText:SetJustifyH("LEFT");
	
	 -- VENDOR WEEK LABEL
	local V_W_Label = CreateFrame("Frame",nil,V_StatusGrp);
	V_W_Label:SetPoint("TOPLEFT",3,-45);
	V_W_Label:SetWidth(50);
	V_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local V_W_LabelText = V_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	V_W_LabelText:SetPoint("TOPLEFT",5,0);
	V_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_W_LabelText:SetTextColor(1,1,1,1);
	V_W_LabelText:SetJustifyH("LEFT");
	V_W_LabelText:SetText("Week:");
	
	 -- VENDOR WEEK FRAME
	local V_W_Frame = CreateFrame("Frame",nil,V_StatusGrp);
	V_W_Frame:SetPoint("TOPLEFT",65,-45);
	V_W_Frame:SetWidth(50);
	V_W_Frame:SetHeight(20);
	GT_Globals.V_W_Frame = V_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local V_W_FrameText = GT_Globals.V_W_Frame;
	V_W_FrameText:SetPoint("TOPLEFT",5,0);
	V_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_W_FrameText:SetTextColor(1,1,0,1);
	V_W_FrameText:SetJustifyH("LEFT");
	
	 -- VENDOR MONTH LABEL
	local V_M_Label = CreateFrame("Frame",nil,V_StatusGrp);
	V_M_Label:SetPoint("TOPLEFT",3,-63);
	V_M_Label:SetWidth(50);
	V_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local V_M_LabelText = V_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	V_M_LabelText:SetPoint("TOPLEFT",5,0);
	V_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_M_LabelText:SetTextColor(1,1,1,1);
	V_M_LabelText:SetJustifyH("LEFT");
	V_M_LabelText:SetText("Month:");
	
	 -- VENDOR MONTH FRAME
	local V_M_Frame = CreateFrame("Frame",nil,V_StatusGrp);
	V_M_Frame:SetPoint("TOPLEFT",65,-63);
	V_M_Frame:SetWidth(50);
	V_M_Frame:SetHeight(20);
	GT_Globals.V_M_Frame = V_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local V_M_FrameText = GT_Globals.V_M_Frame;
	V_M_FrameText:SetPoint("TOPLEFT",5,0);
	V_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_M_FrameText:SetTextColor(1,1,0,1);
	V_M_FrameText:SetJustifyH("LEFT");
	
	 -- VENDOR YEAR LABEL
	local V_Y_Label = CreateFrame("Frame",nil,V_StatusGrp);
	V_Y_Label:SetPoint("TOPLEFT",3,-81);
	V_Y_Label:SetWidth(50);
	V_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local V_Y_LabelText = V_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	V_Y_LabelText:SetPoint("TOPLEFT",5,0);
	V_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_Y_LabelText:SetTextColor(1,1,1,1);
	V_Y_LabelText:SetJustifyH("LEFT");
	V_Y_LabelText:SetText("Year:");
	
	 -- VENDOR YEAR FRAME
	local V_Y_Frame = CreateFrame("Frame",nil,V_StatusGrp);
	V_Y_Frame:SetPoint("TOPLEFT",65,-81);
	V_Y_Frame:SetWidth(50);
	V_Y_Frame:SetHeight(20);
	GT_Globals.V_Y_Frame = V_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local V_Y_FrameText = GT_Globals.V_Y_Frame;
	V_Y_FrameText:SetPoint("TOPLEFT",5,0);
	V_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	V_Y_FrameText:SetTextColor(1,1,0,1);
	V_Y_FrameText:SetJustifyH("LEFT");
	
	--[[
		*******************************
		***** SPENT STATUS GROUP *****
		*******************************
	]]
	
	-- SPENT 
	GT_Globals.S_StatusGrp = CreateFrame("Frame",nil,self);
	local S_StatusGrp = GT_Globals.S_StatusGrp;
	S_StatusGrp:SetWidth(180);
	S_StatusGrp:SetHeight(100);
	S_StatusGrp:SetPoint("TOPLEFT",390,-135); -- -75y when upper group frame hidden
	S_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local S_StatusGrpLabelText = S_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	S_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	S_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_StatusGrpLabelText:SetTextColor(1,1,1,1);
	S_StatusGrpLabelText:SetJustifyH("LEFT");
	S_StatusGrpLabelText:SetText("Spent:");
	
	 -- SPENT DAY LABEL
	local S_D_Label = CreateFrame("Frame",nil,S_StatusGrp);
	S_D_Label:SetPoint("TOPLEFT",3,-27);
	S_D_Label:SetWidth(50);
	S_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local S_D_LabelText = S_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	S_D_LabelText:SetPoint("TOPLEFT",5,0);
	S_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_D_LabelText:SetTextColor(1,1,1,1);
	S_D_LabelText:SetJustifyH("LEFT");
	S_D_LabelText:SetText("Day:");
	
	 -- SPENT DAY FRAME
	local S_D_Frame = CreateFrame("Frame",nil,S_StatusGrp);
	S_D_Frame:SetPoint("TOPLEFT",65,-27);
	S_D_Frame:SetWidth(50);
	S_D_Frame:SetHeight(20);
	GT_Globals.S_D_Frame = S_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local S_D_FrameText = GT_Globals.S_D_Frame;
	S_D_FrameText:SetPoint("TOPLEFT",5,0);
	S_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_D_FrameText:SetTextColor(1,1,0,1);
	S_D_FrameText:SetJustifyH("LEFT");
	
	 -- SPENT WEEK LABEL
	local S_W_Label = CreateFrame("Frame",nil,S_StatusGrp);
	S_W_Label:SetPoint("TOPLEFT",3,-45);
	S_W_Label:SetWidth(50);
	S_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local S_W_LabelText = S_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	S_W_LabelText:SetPoint("TOPLEFT",5,0);
	S_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_W_LabelText:SetTextColor(1,1,1,1);
	S_W_LabelText:SetJustifyH("LEFT");
	S_W_LabelText:SetText("Week:");
	
	 -- SPENT WEEK FRAME
	local S_W_Frame = CreateFrame("Frame",nil,S_StatusGrp);
	S_W_Frame:SetPoint("TOPLEFT",65,-45);
	S_W_Frame:SetWidth(50);
	S_W_Frame:SetHeight(20);
	GT_Globals.S_W_Frame = S_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local S_W_FrameText = GT_Globals.S_W_Frame;
	S_W_FrameText:SetPoint("TOPLEFT",5,0);
	S_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_W_FrameText:SetTextColor(1,1,0,1);
	S_W_FrameText:SetJustifyH("LEFT");
	
	 -- SPENT MONTH LABEL
	local S_M_Label = CreateFrame("Frame",nil,S_StatusGrp);
	S_M_Label:SetPoint("TOPLEFT",3,-63);
	S_M_Label:SetWidth(50);
	S_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local S_M_LabelText = S_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	S_M_LabelText:SetPoint("TOPLEFT",5,0);
	S_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_M_LabelText:SetTextColor(1,1,1,1);
	S_M_LabelText:SetJustifyH("LEFT");
	S_M_LabelText:SetText("Month:");
	
	 -- SPENT MONTH FRAME
	local S_M_Frame = CreateFrame("Frame",nil,S_StatusGrp);
	S_M_Frame:SetPoint("TOPLEFT",65,-63);
	S_M_Frame:SetWidth(50);
	S_M_Frame:SetHeight(20);
	GT_Globals.S_M_Frame = S_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local S_M_FrameText = GT_Globals.S_M_Frame;
	S_M_FrameText:SetPoint("TOPLEFT",5,0);
	S_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_M_FrameText:SetTextColor(1,1,0,1);
	S_M_FrameText:SetJustifyH("LEFT");
	
	 -- SPENT YEAR LABEL
	local S_Y_Label = CreateFrame("Frame",nil,S_StatusGrp);
	S_Y_Label:SetPoint("TOPLEFT",3,-81);
	S_Y_Label:SetWidth(50);
	S_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local S_Y_LabelText = S_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	S_Y_LabelText:SetPoint("TOPLEFT",5,0);
	S_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_Y_LabelText:SetTextColor(1,1,1,1);
	S_Y_LabelText:SetJustifyH("LEFT");
	S_Y_LabelText:SetText("Year:");
	
	 -- SPENT YEAR FRAME
	local S_Y_Frame = CreateFrame("Frame",nil,S_StatusGrp);
	S_Y_Frame:SetPoint("TOPLEFT",65,-81);
	S_Y_Frame:SetWidth(50);
	S_Y_Frame:SetHeight(20);
	GT_Globals.S_Y_Frame = S_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local S_Y_FrameText = GT_Globals.S_Y_Frame;
	S_Y_FrameText:SetPoint("TOPLEFT",5,0);
	S_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	S_Y_FrameText:SetTextColor(1,1,0,1);
	S_Y_FrameText:SetJustifyH("LEFT");
	
	--[[
		*******************************
		***** REPAIR STATUS GROUP *****
		*******************************
	]]
	
	-- REPAIR 
	GT_Globals.R_StatusGrp = CreateFrame("Frame",nil,self);
	local R_StatusGrp = GT_Globals.R_StatusGrp;
	R_StatusGrp:SetWidth(180);
	R_StatusGrp:SetHeight(100);
	R_StatusGrp:SetPoint("TOPLEFT",390,-245); -- -75y when upper group frame hidden
	R_StatusGrp:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local R_StatusGrpLabelText = R_StatusGrp:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	R_StatusGrpLabelText:SetPoint("TOPLEFT",7,-7);
	R_StatusGrpLabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_StatusGrpLabelText:SetTextColor(1,1,1,1);
	R_StatusGrpLabelText:SetJustifyH("LEFT");
	R_StatusGrpLabelText:SetText("Repair:");
	
	 -- REPAIR DAY LABEL
	local R_D_Label = CreateFrame("Frame",nil,R_StatusGrp);
	R_D_Label:SetPoint("TOPLEFT",3,-27);
	R_D_Label:SetWidth(50);
	R_D_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local R_D_LabelText = R_D_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	R_D_LabelText:SetPoint("TOPLEFT",5,0);
	R_D_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_D_LabelText:SetTextColor(1,1,1,1);
	R_D_LabelText:SetJustifyH("LEFT");
	R_D_LabelText:SetText("Day:");
	
	 -- REPAIR DAY FRAME
	local R_D_Frame = CreateFrame("Frame",nil,R_StatusGrp);
	R_D_Frame:SetPoint("TOPLEFT",65,-27);
	R_D_Frame:SetWidth(50);
	R_D_Frame:SetHeight(20);
	GT_Globals.R_D_Frame = R_D_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local R_D_FrameText = GT_Globals.R_D_Frame;
	R_D_FrameText:SetPoint("TOPLEFT",5,0);
	R_D_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_D_FrameText:SetTextColor(1,1,0,1);
	R_D_FrameText:SetJustifyH("LEFT");
	
	 -- REPAIR WEEK LABEL
	local R_W_Label = CreateFrame("Frame",nil,R_StatusGrp);
	R_W_Label:SetPoint("TOPLEFT",3,-45);
	R_W_Label:SetWidth(50);
	R_W_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local R_W_LabelText = R_W_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	R_W_LabelText:SetPoint("TOPLEFT",5,0);
	R_W_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_W_LabelText:SetTextColor(1,1,1,1);
	R_W_LabelText:SetJustifyH("LEFT");
	R_W_LabelText:SetText("Week:");
	
	 -- REPAIR WEEK FRAME
	local R_W_Frame = CreateFrame("Frame",nil,R_StatusGrp);
	R_W_Frame:SetPoint("TOPLEFT",65,-45);
	R_W_Frame:SetWidth(50);
	R_W_Frame:SetHeight(20);
	GT_Globals.R_W_Frame = R_W_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local R_W_FrameText = GT_Globals.R_W_Frame;
	R_W_FrameText:SetPoint("TOPLEFT",5,0);
	R_W_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_W_FrameText:SetTextColor(1,1,0,1);
	R_W_FrameText:SetJustifyH("LEFT");
	
	 -- REPAIR MONTH LABEL
	local R_M_Label = CreateFrame("Frame",nil,R_StatusGrp);
	R_M_Label:SetPoint("TOPLEFT",3,-63);
	R_M_Label:SetWidth(50);
	R_M_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local R_M_LabelText = R_M_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	R_M_LabelText:SetPoint("TOPLEFT",5,0);
	R_M_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_M_LabelText:SetTextColor(1,1,1,1);
	R_M_LabelText:SetJustifyH("LEFT");
	R_M_LabelText:SetText("Month:");
	
	 -- REPAIR MONTH FRAME
	local R_M_Frame = CreateFrame("Frame",nil,R_StatusGrp);
	R_M_Frame:SetPoint("TOPLEFT",65,-63);
	R_M_Frame:SetWidth(50);
	R_M_Frame:SetHeight(20);
	GT_Globals.R_M_Frame = R_M_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local R_M_FrameText = GT_Globals.R_M_Frame;
	R_M_FrameText:SetPoint("TOPLEFT",5,0);
	R_M_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_M_FrameText:SetTextColor(1,1,0,1);
	R_M_FrameText:SetJustifyH("LEFT");
	
	 -- REPAIR YEAR LABEL
	local R_Y_Label = CreateFrame("Frame",nil,R_StatusGrp);
	R_Y_Label:SetPoint("TOPLEFT",3,-81);
	R_Y_Label:SetWidth(50);
	R_Y_Label:SetHeight(20);
	--self.EnemyLbl:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border",edgeSize = 10});
	local R_Y_LabelText = R_Y_Label:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	R_Y_LabelText:SetPoint("TOPLEFT",5,0);
	R_Y_LabelText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_Y_LabelText:SetTextColor(1,1,1,1);
	R_Y_LabelText:SetJustifyH("LEFT");
	R_Y_LabelText:SetText("Year:");
	
	 -- REPAIR YEAR FRAME
	local R_Y_Frame = CreateFrame("Frame",nil,R_StatusGrp);
	R_Y_Frame:SetPoint("TOPLEFT",65,-81);
	R_Y_Frame:SetWidth(50);
	R_Y_Frame:SetHeight(20);
	GT_Globals.R_Y_Frame = R_Y_Frame:CreateFontString(nil, "BACKGROUND", "GameFontNormal");
	local R_Y_FrameText = GT_Globals.R_Y_Frame;
	R_Y_FrameText:SetPoint("TOPLEFT",5,0);
	R_Y_FrameText:SetFont("Fonts\\FRIZQT__.TTF", 11);
	R_Y_FrameText:SetTextColor(1,1,0,1);
	R_Y_FrameText:SetJustifyH("LEFT");
end
